Endpoint
GET /api/v1/projects/{slug}/plans
Authentication
Path Parameters
Response
List of plan objects.
Show Plan object
Show Plan object
Example
curl https://app.cuprice.io/api/v1/projects/my-saas-app/plans \
-H "Authorization: Bearer cpk_your_key_here"
{
"plans": [
{
"id": 200,
"name": "Starter",
"description": "For individuals and small projects",
"basePrice": 0,
"isPopular": false,
"isVisible": true,
"isFree": true,
"planFeatures": [
{
"id": 300,
"multiplier": 1,
"feature": {
"id": 101,
"name": "AI Prompts",
"featureType": "Limits",
"basePrice": 10
}
}
],
"createdAt": "2025-09-16T08:00:00.000Z",
"updatedAt": "2025-09-16T08:00:00.000Z"
},
{
"id": 201,
"name": "Pro",
"description": "For growing teams",
"basePrice": 29,
"isPopular": true,
"isVisible": true,
"isFree": false,
"planFeatures": [
{
"id": 301,
"multiplier": 5,
"feature": {
"id": 101,
"name": "AI Prompts",
"featureType": "Limits",
"basePrice": 10
}
},
{
"id": 302,
"multiplier": 1,
"feature": {
"id": 102,
"name": "Team Members",
"featureType": "Standart",
"basePrice": 5
}
},
{
"id": 303,
"multiplier": 1,
"feature": {
"id": 104,
"name": "Priority Support",
"featureType": "Standart",
"basePrice": 20
}
}
],
"createdAt": "2025-09-16T08:05:00.000Z",
"updatedAt": "2025-11-20T14:30:00.000Z"
},
{
"id": 202,
"name": "Enterprise",
"description": "For large organizations",
"basePrice": 99,
"isPopular": false,
"isVisible": true,
"isFree": false,
"planFeatures": [
{
"id": 304,
"multiplier": 20,
"feature": {
"id": 101,
"name": "AI Prompts",
"featureType": "Limits",
"basePrice": 10
}
},
{
"id": 305,
"multiplier": 10,
"feature": {
"id": 102,
"name": "Team Members",
"featureType": "Standart",
"basePrice": 5
}
},
{
"id": 306,
"multiplier": 1,
"feature": {
"id": 104,
"name": "Priority Support",
"featureType": "Standart",
"basePrice": 20
}
}
],
"createdAt": "2025-09-16T08:10:00.000Z",
"updatedAt": "2025-11-20T14:30:00.000Z"
}
]
}
Errors
| Status | Description |
|---|---|
401 | Invalid or missing API key |
404 | Project with the given slug not found |
